Package org.jfree.layouting.modules.output.graphics

## Class DisplayInterceptor

- java.lang.Object
- - org.jfree.layouting.modules.output.graphics.DisplayInterceptor

- All Implemented Interfaces:
    `GraphicsContentInterceptor`, `FlowSelector`, `PageFlowSelector`

      public class DisplayInterceptor
      extends java.lang.Object
      implements GraphicsContentInterceptor

  Creation-Date: 10.11.2006, 20:41:29
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DisplayInterceptor​(LogicalPageKey logicalPageKey)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `isLogicalPageAccepted​(LogicalPageKey key)` |
    `boolean` | `isMatched​()` |
    `boolean` | `isMoreContentNeeded​()` |
    `boolean` | `isPhysicalPageAccepted​(PhysicalPageKey key)` |
    `void` | `processLogicalPage​(LogicalPageKey key, PageDrawable page)` |
    `void` | `processPhysicalPage​(PhysicalPageKey key, PageDrawable page)` |
    `void` | `setMatched​(boolean matched)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DisplayInterceptor

          public DisplayInterceptor​(LogicalPageKey logicalPageKey)

  - ### Method Detail

    - #### isLogicalPageAccepted

          public boolean isLogicalPageAccepted​(LogicalPageKey key)

      Specified by:
        `isLogicalPageAccepted` in interface `FlowSelector`

    - #### processLogicalPage

          public void processLogicalPage​(LogicalPageKey key,
                                         PageDrawable page)

      Specified by:
        `processLogicalPage` in interface `GraphicsContentInterceptor`

    - #### isPhysicalPageAccepted

          public boolean isPhysicalPageAccepted​(PhysicalPageKey key)

      Specified by:
        `isPhysicalPageAccepted` in interface `PageFlowSelector`

    - #### processPhysicalPage

          public void processPhysicalPage​(PhysicalPageKey key,
                                          PageDrawable page)

      Specified by:
        `processPhysicalPage` in interface `GraphicsContentInterceptor`

    - #### isMoreContentNeeded

          public boolean isMoreContentNeeded​()

      Specified by:
        `isMoreContentNeeded` in interface `FlowSelector`

    - #### isMatched

          public boolean isMatched​()

    - #### setMatched

          public void setMatched​(boolean matched)